ARTSATA(4) | Device Drivers Manual | ARTSATA(4)

# NAME

`artsata` —
Intel i31244 Serial ATA disk controller driver

# SYNOPSIS

`artsata* at pci? dev ? function ? flags 0x0000`
`options PCIIDE_I31244_DISABLEDMA`

# DESCRIPTION

The `artsata` driver supports the Intel i31244 Serial ATA and controllers, and provides the interface with the hardware for the ata(4) driver.

The 0x0002 flag forces the `artsata` driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the SATA controller is wired up to the system incorrectly.

# SEE ALSO

ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

# BUGS

Early samples of the Intel i31244 Serial ATA controller revision 0 had a bug affecting DMA data transfers. Full production samples have been fixed, but have the same revision number. The `PCIIDE_I31244_DISABLEDMA` option can be used to disable DMA on the buggy revisions.

February 12, 2005 | NetBSD 9.2